log4shib::FileAppender(3)

NAME
log4shib::FileAppender

SYNOPSIS

#include <FileAppender.hh>

Inherits log4shib::LayoutAppender.

Inherited by log4shib::RollingFileAppender.

  Public Member Functions
FileAppender (const std::string &name, const std::string &fileName, bool append=true, mode_t mode=00644)
Constructs a FileAppender.
FileAppender (const std::string &name, int fd)
Constructs a FileAppender to an already open file descriptor.
virtual ~FileAppender ()
virtual bool reopen ()
Reopens the logfile.
virtual void close ()
Closes the logfile.
virtual void setAppend (bool append)
Sets the append vs truncate flag.
virtual bool getAppend () const
Gets the value of the 'append' option.
virtual void setMode (mode_t mode)
Sets the file open mode.
virtual mode_t getMode () const
Gets the file open mode.

  Protected Member Functions
virtual void _append (const LoggingEvent &event)
Log in Appender specific way.

  Protected Attributes
const std::string _fileName
int _fd
int _flags
mode_t _mode

  Additional Inherited Members

Constructor & Destructor Documentation

  log4shib::FileAppender::FileAppender (const std::string & name, const std::string & fileName, bool append = true, mode_t mode = 00644)

Constructs a FileAppender.

Parameters
    name the name of the Appender.
    fileName the name of the file to which the Appender has to log.
    append whether the Appender has to truncate the file or just append to it if it already exists. Defaults to 'true'.
    mode file mode to open the logfile with. Defaults to 00644.

  log4shib::FileAppender::FileAppender (const std::string & name, int fd)

Constructs a FileAppender to an already open file descriptor.

Parameters
    name the name of the Appender.
    fd the file descriptor to which the Appender has to log.

  log4shib::FileAppender::~FileAppender () [virtual]

Member Function Documentation

  void log4shib::FileAppender::_append (const LoggingEvent & event) [protected], [virtual]

Log in Appender specific way. Subclasses of Appender should implement this method to perform actual logging.

Parameters
    event The LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

Reimplemented in log4shib::RollingFileAppender.

  void log4shib::FileAppender::close () [virtual]

Closes the logfile.

Implements log4shib::AppenderSkeleton.

  bool log4shib::FileAppender::getAppend () const [virtual]

Gets the value of the 'append' option.

  mode_t log4shib::FileAppender::getMode () const [virtual]

Gets the file open mode.

  bool log4shib::FileAppender::reopen () [virtual]

Reopens the logfile. This can be useful for logfiles that are rotated externally, e.g. by logrotate. This method is a NOOP for FileAppenders that have been constructed with a file descriptor.

Returns
    true if the reopen succeeded.

Reimplemented from log4shib::AppenderSkeleton.

  void log4shib::FileAppender::setAppend (bool append) [virtual]

Sets the append vs truncate flag. NB. currently the FileAppender opens the logfile in the constructor. Therefore this method is too late to influence the first file opening. We'll need something similar to log4j's activateOptions().

Parameters
    append false to truncate, true to append

  void log4shib::FileAppender::setMode (mode_t mode) [virtual]

Sets the file open mode.

Member Data Documentation

  int log4shib::FileAppender::_fd [protected]

  const std::string log4shib::FileAppender::_fileName [protected]

  int log4shib::FileAppender::_flags [protected]

  mode_t log4shib::FileAppender::_mode [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.